/*
 * @plotMappingStruct.java Version 1.1 05/16/2002
 *
 * Copyright (c) 2001 Kansas Geological Survey
 * 1930 Constant Avenue, Lawrence, Kansas, 66047, U.S.A.
 * All Rights Reserved.
 */

package plot;

/** Class plotMappingStruct
 *  <p> This Class holds the data needed to perform the mapping plot
 *
 *  @version 1.1 05/16/2002
 *  @author  John R. Victorine
 */

public class plotMappingStruct
{
  // Labels

  public String sZone;         // Formation Name of Depth Intervals
  public String sValue;        // Value.

  // Well Data to plot on top of the mapping plot.

  public int    iTotalWells;   // Total Number of Wells that will be displayed
  public double dX[];          // X - Position of Well
  public double dY[];          // Y - Position of Well
  public double dZ[];          // Z - Data Value of Well
  public String status[];      // Well Status Symbol;
  public String sAPI[];        // Well API-Number;
  public String sLease[];      // Well Lease Name;
  public String sWell[];       // Well Number;
  public int    iTriangle[];   // Zone has been perforated.

  // Well Plotting area Dimensions

  public double dXMin;         // Minimum X Position
  public double dXMax;         // Maximum X Position
  public double dXCellSize;    // X Cell Size
  public double dYMin;         // Minimum Y Position
  public double dYMax;         // Maximum Y Position
  public double dYCellSize;    // Y Cell Size

  // Mapping data

  public int    iRows;         // Total number of Rows
  public int    iColumns;      // Total number of Columns
  public double data[][];      // Array of data cells to be plotted

  // Color ID

  public int    iType;        // 0 = Automatic, 1 = Manual
  public int    iColor;       // Automatic Shaded Color ID          AUTOMATIC

  public int    iTotal;       // Total Number of Grid Values        MANUAL
  public double dLower[];     // Manual Lower Grid Value Array
  public double dUpper[];     // Manual Upper Grid Value Array
  public int    iRGB[][];     // Manual RGB Color Value Array
}
