/*
 * @quakeSensorsUtility.java Version 1.1 07/01/2016
 *
 * Copyright (c) 2016 Kansas Geological Survey
 * 1930 Constant Avenue, Lawrence, Kansas, 66047, U.S.A.
 * All Rights Reserved.
 */

package quake;

import quake.quakeSensorsStruct;

/** CLASS quakeSensorsUtility
 *  <p> This file creates utility methods for quake sensor location structures.
 *
 *  @version 1.1 07/01/2016
 *  @author  John R. Victorine
 */

public class quakeSensorsUtility
{
  /** Method copy()
   * <p> This method will copy data from one structure to another
   * @param  stOld = The original Data Structure
   * @return stNew = The new Data Structure
   */

  public static quakeSensorsStruct copy(quakeSensorsStruct stOld)
  {
    quakeSensorsStruct stNew = new quakeSensorsStruct();

    if (stOld != null)
    {
      stNew.iTotal = stOld.iTotal;

      stNew.sKID   = new String[stNew.iTotal];
      stNew.id     = new int[stNew.iTotal];
      stNew.sName  = new String[stNew.iTotal];
      stNew.dLat   = new double[stNew.iTotal];
      stNew.dLong  = new double[stNew.iTotal];
      stNew.dElev  = new double[stNew.iTotal];

      for (int i=0; i<stNew.iTotal; i++)
      {
        stNew.sKID[i]  = new String( stOld.sKID[i]);
        stNew.id[i]    = stOld.id[i];
        stNew.sName[i] = new String( stOld.sName[i]);
        stNew.dLat[i]  = stOld.dLat[i];
        stNew.dLong[i] = stOld.dLong[i];
        stNew.dElev[i] = stOld.dElev[i];
	  }
    }

    return (stNew);
  }
}

/*
 *  @version 1.1 07/01/2016
 *  @author  John Victorine
 */
